{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":485,"path":"api-reference/rest-apis/change-management-api.md","title":"Change Management API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Change Management API\n\nThe Change Management API provides endpoints that enable third-party application integration with the ServiceNow Change Management process.\n\nBy integrating your application with the ServiceNow Change Management process, all change requests, regardless of where they are initiated, have a single source of truth, providing a single audit source.\n\nUse this REST API to integrate your change management process with external applications and when developing ServiceNow client-side applications.\n\nThis REST API enables integrators to:\n\n-   Initiate a standard change request from a published standard change request template.\n-   Create a change request of type emergency or normal.\n-   Update any field that exists in the change request table for any change request.\n-   Update any field that exists in the change task table and work tasks from creation through closure/cancellation.\n-   Retrieve a specific change request, standard template, change request task, or change model.\n-   Retrieve multiple change requests, standard templates, change request tasks using pagination.\n-   Perform risk evaluation.\n-   Refresh impacted services.\n-   Generate and process any related approval activity associated with a change request.\n-   Identify potential scheduling conflicts and identify periods where conflicts do not exist.\n-   Delete change requests, change request tasks, and conflict checking processes.\n-   Create a change request record based on a change model record.\n-   Retrieves a list of available states for the specified change request, including the current state.\n\nThe Change Management API supports ITIL types and change models using Workflow Studio and Workflow. Change models deliver fit-for-purpose change. Types and models define transition criteria that must be met before the change request can progress to the next state. You can define this criteria using states, workflows, tools, and business rules.\n\n-   Traditional ITIL types: Standard, Emergency, and Normal.\n-   Change model states: New, Scheduled, Implement, Review, and Closed.\n\nYou can configure additional change models within your ServiceNow instance and then create change requests based on those change models using endpoints in this API. Use the [Change Management - GET /sn\\_chg\\_rest/change/model/\\{sys\\_id\\}](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/change-management-api.md) and [Change Management - GET /sn\\_chg\\_rest/change/model](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/change-management-api.md) endpoints to obtain the available change models in an instance. Then use the [Change Management - POST /sn\\_chg\\_rest/change](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/change-management-api.md) to create a change request based on a specified change model.\n\nFor information on configuring change models, see [Configure Change Management](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/it-service-management/configure-change-management.md).\n\nThe following roles are required to access the Change Management endpoints:\n\n-   DELETE: change\\_manager or admin\n-   GET: change\\_manager, itil, sn\\_change\\_read, or admin\n-   PATCH/POST: change\\_manager, itil, or admin\n\nIn addition, administrators can set change properties to configure Change Management behavior. For a list of these properties and a description of their available functionality, see [Change Management properties](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/it-service-management/r_ChangeManagementProperties.md).\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## Change Management - DELETE /sn\\_chg\\_rest/change/\\{change\\_sys\\_id\\}/task/\\{task\\_sys\\_id\\}\n\nDeletes the change request task identified by the specified sys\\_ids.\n\n### URL format\n\nVersioned URL: `/api/sn_chg_rest/{api_version}/change/{change_sys_id}/task/{task_sys_id}`\n\nDefault URL: `/api/sn_chg_rest/change/{change_sys_id}/task/{task_sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nchange\\_sys\\_id\n\n</td><td>\n\nSys\\_id of the change request to which the task is associated. Verifies that the task is actually associated to the specified change request.Data type: String\n\nTable: Change Request \\[change\\_request\\]\n\n</td></tr><tr><td>\n\ntask\\_sys\\_id\n\n</td><td>\n\nSys\\_id of the change request task to delete.Data type: String\n\nTable: Change Tasks \\[change\\_task\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not Found. The specified record couldn't be found.|\n|500|Internal Server Error. A logic error on the server-side code occurred.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nname-value pairs\n\n</td><td>\n\nAll fields \\(key\\) with their associated values for the identified change request task prior to the delete.Data type: Object\n\n</td></tr><tr><td>\n\nparent\n\n</td><td>\n\nInformation for the change request to which this task was associated.Data type: Object\n\n```\nparent: {\n  display_value: \"String\", \n  value: \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nparent.display\\_value\n\n</td><td>\n\nSys\\_id of the parent task to display in a UI.Data type: String\n\n</td></tr><tr><td>\n\nparent.value\n\n</td><td>\n\nSys\\_id of the parent task.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id information for the deleted change request.Data type: Object\n\n```\nsys_id: {\n  display_value: \"String\", \n  value: \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsys\\_id.display\\_value\n\n</td><td>\n\nSys\\_id of the change request to display in a UI.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id.value\n\n</td><td>\n\nSys\\_id of the change request.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/sn_chg_rest/v1/change/0f4ac6c4b750230096c3e4f6ee11a9fe/task/12629ec4b750230096c3e4f6ee11a9d5\" \\\n--request DELETE \\\n--header \"Accept:application/json\" \\ \n--user \"username\":\"password\"\n```\n\n```\n{\n  result: [\n    {\n      sys_id: {\n        value: \"12629ec4b750230096c3e4f6ee11a9d5\",\n        display_value: \"12629ec4b750230096c3e4f6ee11a9d5\"\n      },\n      parent: {\n        value: \"0f4ac6c4b750230096c3e4f6ee11a9fe\", \n        display_value: \"CHG0033046 \"\n      },\n      ..., // all valid fields in record, example below\n      short_description: {\n        value: \"Retire both nodes\",\n        display_value: \"Retire both nodes\"\n      }\n    }\n  ]\n}\n```\n\n## Change Management - DELETE /sn\\_chg\\_rest/change/\\{sys\\_id\\}\n\nDeletes the change request associated with the specified sys\\_id.\n\n### URL format\n\nVersioned URL: `/api/sn_chg_rest/{api_version}/change/{sys_id}`\n\nDefault URL: `/api/sn_chg_rest/change/{sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the change request record to delete.Data type: String\n\nTable: Change Request \\[change\\_request\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Request completed successfully.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not Found. The specified record couldn't be found.|\n|500|Internal Server Error. A logic error on the server-side code occurred.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nChange request record that was deleted. Each element in this object corresponds to a field in the record of the Change Request \\[change\\_request\\] table.Data type: Object\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/sn_chg_rest/v1/change/b0dbda5347c12200e0ef563dbb9a718f\" \\\n--request DELETE \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n\n```\n\n```\n{\n  \"result\":\n    {\n      \"reason\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"parent\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"watch_list\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n       },\n       \"proposed_change\": {\n         \"display_value\": \"\",\n         \"value\": \"\"\n       },\n       \"upon_reject\": {\n         \"display_value\": \"Cancel all future Tasks\",\n         \"value\": \"cancel\"\n       },\n       \"sys_updated_on\": {\n         \"display_value\": \"2015-07-06 11:59:27\",\n         \"value\": \"2015-07-06 18:59:27\",\n         \"display_value_internal\": \"2015-07-06 11:59:27\"\n      },\n      \"type\": {\n        \"display_value\": \"Standard\",\n        \"value\": \"standard\"\n      },\n      \"approval_history\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"skills\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"test_plan\": {\n        \"display_value\": \"--Confirm that there are no monitoring alerts for the router\",\n        \"value\": \"--Confirm that there are no monitoring alerts for the router\"\n      },\n      \"number\": {\n        \"display_value\": \"CHG0000024\",\n        \"value\": \"CHG0000024\"\n      },\n      \"is_bulk\": {\n        \"display_value\": \"false\",\n        \"value\": false\n      },\n      \"cab_delegate\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"requested_by_date\": {\n        \"display_value\": \"\",\n        \"value\": \"\",\n        \"display_value_internal\": \"\"\n      },\n      \"ci_class\": {\n        \"display_value\": \"cmdb_ci\",\n        \"value\": \"cmdb_ci\"\n      },\n      \"state\": {\n        \"display_value\": \"Closed\",\n        \"value\": 3.0\n      },\n      \"sys_created_by\": {\n        \"display_value\": \"admin\",\n        \"value\": \"admin\"\n      },\n      \"knowledge\": {\n        \"display_value\": \"false\",\n        \"value\": false\n      },\n      \"order\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"phase\": {\n        \"display_value\": \"Requested\",\n        \"value\": \"requested\"\n      },\n      \"cmdb_ci\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"delivery_plan\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"impact\": {\n        \"display_value\": \"3 - Low\",\n        \"value\": 3.0\n      },\n      \"contract\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"active\": {\n        \"display_value\": \"false\",\n        \"value\": false\n      },\n      \"work_notes_list\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"priority\": {\n        \"display_value\": \"4 - Low\",\n        \"value\": 4.0\n      },\n      \"sys_domain_path\": {\n        \"display_value\": \"/\",\n        \"value\": \"/\"\n      },\n      \"cab_recommendation\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"production_system\": {\n        \"display_value\": \"false\",\n        \"value\": false\n      },\n      \"rejection_goto\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"review_date\": {\n        \"display_value\": \"\",\n        \"value\": \"\",\n        \"display_value_internal\": \"\"\n      },\n      \"requested_by\": {\n        \"display_value\": \"System Administrator\",\n        \"value\": \"6816f79cc0a8016401c5a33be04be441\"\n      },\n      \"business_duration\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"group_list\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"change_plan\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"approval_set\": {\n        \"display_value\": \"\",\n        \"value\": \"\",\n        \"display_value_internal\": \"\"\n      },\n      \"wf_activity\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"implementation_plan\": {\n        \"display_value\": \"-- Place router into maintenance mode in the monitoring platform\\r\\n-- Logon to router through SSH\\r\\n-- Run the following command\\r\\n\\r\\nrouter(config-router)#router bgp 12345\\r\\nrouter(config-router)#neighbor {neighbor ip} soft-reconfig [inbound]\\r\\nrouter#clear ip bgp {neighbor ip} soft in\\r\\n\\r\\n-- Confirm the sessions have been cleared\\r\\n-- Place router back into operational mode in the monitoring platform\",\n        \"value\": \"-- Place router into maintenance mode in the monitoring platform\\r\\n-- Logon to router through SSH\\r\\n-- Run the following command\\r\\n\\r\\nrouter(config-router)#router bgp 12345\\r\\nrouter(config-router)#neighbor {neighbor ip} soft-reconfig [inbound]\\r\\nrouter#clear ip bgp {neighbor ip} soft in\\r\\n\\r\\n-- Confirm the sessions have been cleared\\r\\n-- Place router back into operational mode in the monitoring platform\"\n      },\n      \"universal_request\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"end_date\": {\n        \"display_value\": \"\",\n        \"value\": \"\",\n        \"display_value_internal\": \"\"\n      },\n      \"short_description\": {\n        \"display_value\": \"Reboot the server at 6 am\",\n        \"value\": \"Reboot the server at 6 am\"\n      },\n      \"correlation_display\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"work_start\": {\n        \"display_value\": \"2015-07-06 11:56:04\",\n        \"value\": \"2015-07-06 18:56:04\",\n        \"display_value_internal\": \"2015-07-06 11:56:04\"\n      },\n      \"delivery_task\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"outside_maintenance_schedule\": {\n        \"display_value\": \"false\",\n        \"value\": false\n      },\n      \"additional_assignee_list\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"std_change_producer_version\": {\n        \"display_value\": \"Clear BGP sessions on a Cisco router - 1\",\n        \"value\": \"16c2273c47010200e90d87e8dee49006\"\n      },\n      \"sys_class_name\": {\n        \"display_value\": \"Change Request\",\n        \"value\": \"change_request\"\n      },\n      \"service_offering\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"closed_by\": {\n        \"display_value\": \"System Administrator\",\n        \"value\": \"6816f79cc0a8016401c5a33be04be441\"\n      },\n      \"follow_up\": {\n        \"display_value\": \"\",\n        \"value\": \"\",\n        \"display_value_internal\": \"\"\n      },\n      \"review_status\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"reassignment_count\": {\n        \"display_value\": \"2\",\n        \"value\": 2.0\n      },\n      \"start_date\": {\n        \"display_value\": \"\",\n        \"value\": \"\",\n        \"display_value_internal\": \"\"\n      },\n      \"assigned_to\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"variables\": {\n        \"display_value\": \"variable_pool\",\n        \"value\": \"variable_pool\"\n      },\n      \"sla_due\": {\n        \"display_value\": \"UNKNOWN\",\n        \"value\": \"\",\n        \"display_value_internal\": \"\"\n      },\n      \"comments_and_work_notes\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"escalation\": {\n        \"display_value\": \"Normal\",\n        \"value\": 0.0\n      },\n      \"upon_approval\": {\n        \"display_value\": \"Proceed to Next Task\",\n        \"value\": \"proceed\"\n      },\n      \"correlation_id\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"made_sla\": {\n        \"display_value\": \"true\",\n        \"value\": true\n      },\n      \"backout_plan\": {\n        \"display_value\": \"Due to the limited number of commands in the implementation plan it is not possible to backout the change.\\r\\n\\r\\nIf required you are authorized to reboot the router if BGP fails to work\",\n        \"value\": \"Due to the limited number of commands in the implementation plan it is not possible to backout the change.\\r\\n\\r\\nIf required you are authorized to reboot the router if BGP fails to work\"\n      },\n      \"conflict_status\": {\n        \"display_value\": \"Not Run\",\n        \"value\": \"Not Run\"\n      },\n      \"task_effective_number\": {\n        \"display_value\": \"CHG0000024\",\n        \"value\": \"CHG0000024\"\n      },\n      \"sys_updated_by\": {\n        \"display_value\": \"admin\",\n        \"value\": \"admin\"\n      },\n      \"opened_by\": {\n        \"display_value\": \"System Administrator\",\n        \"value\": \"6816f79cc0a8016401c5a33be04be441\"\n      },\n      \"user_input\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"sys_created_on\": {\n        \"display_value\": \"2015-07-06 11:55:46\",\n        \"value\": \"2015-07-06 18:55:46\",\n        \"display_value_internal\": \"2015-07-06 11:55:46\"\n      },\n      \"on_hold_task\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"sys_domain\": {\n        \"display_value\": \"global\",\n        \"value\": \"global\"\n      },\n      \"route_reason\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"closed_at\": {\n        \"display_value\": \"2015-07-06 11:56:23\",\n        \"value\": \"2015-07-06 18:56:23\",\n        \"display_value_internal\": \"2015-07-06 11:56:23\"\n      },\n      \"review_comments\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"business_service\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"time_worked\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"chg_model\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"expected_start\": {\n        \"display_value\": \"\",\n        \"value\": \"\",\n        \"display_value_internal\": \"\"\n      },\n      \"opened_at\": {\n        \"display_value\": \"2015-06-09 11:55:46\",\n        \"value\": \"2015-06-09 18:55:46\",\n        \"display_value_internal\": \"2015-06-09 11:55:46\"\n      },\n      \"work_end\": {\n        \"display_value\": \"2015-07-06 11:56:10\",\n        \"value\": \"2015-07-06 18:56:10\",\n        \"display_value_internal\": \"2015-07-06 11:56:10\"\n      },\n      \"phase_state\": {\n        \"display_value\": \"Open\",\n        \"value\": \"open\"\n      },\n      \"cab_date\": {\n        \"display_value\": \"\",\n        \"value\": \"\",\n        \"display_value_internal\": \"\"\n      },\n      \"work_notes\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"close_code\": {\n        \"display_value\": \"Successful\",\n        \"value\": \"successful\"\n      },\n      \"assignment_group\": {\n        \"display_value\": \"Network\",\n        \"value\": \"287ebd7da9fe198100f92cc8d1d2154e\"\n      },\n      \"description\": {\n        \"display_value\": \"Resend the complete BGP table to neighboring routers\\r\\n\\r\\n--Both neighbors need to support soft reset route refresh capability.\\r\\n--Stores complete BGP table of you neighbor in router memory.\\r\\n--Not a good idea on a peering router with full feed, due to the memory requirements.\\r\\n\",\n        \"value\": \"Resend the complete BGP table to neighboring routers\\r\\n\\r\\n--Both neighbors need to support soft reset route refresh capability.\\r\\n--Stores complete BGP table of you neighbor in router memory.\\r\\n--Not a good idea on a peering router with full feed, due to the memory requirements.\\r\\n\"\n      },\n      \"on_hold_reason\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"calendar_duration\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"close_notes\": {\n        \"display_value\": \"Completed without issues\",\n        \"value\": \"Completed without issues\"\n      },\n      \"sys_id\": {\n        \"display_value\": \"b0dbda5347c12200e0ef563dbb9a718f\",\n        \"value\": \"b0dbda5347c12200e0ef563dbb9a718f\"\n      },\n      \"contact_type\": {\n        \"display_value\": \"Phone\",\n        \"value\": \"phone\"\n      },\n      \"cab_required\": {\n        \"display_value\": \"false\",\n        \"value\": false\n      },\n      \"urgency\": {\n        \"display_value\": \"3 - Low\",\n        \"value\": 3.0\n      },\n      \"scope\": {\n        \"display_value\": \"Medium\",\n        \"value\": 3.0\n      },\n      \"company\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"justification\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"activity_due\": {\n        \"display_value\": \"UNKNOWN\",\n        \"value\": \"\",\n        \"display_value_internal\": \"\"\n      },\n      \"comments\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"approval\": {\n        \"display_value\": \"Approved\",\n        \"value\": \"approved\"\n      },\n      \"due_date\": {\n        \"display_value\": \"\",\n        \"value\": \"\",\n        \"display_value_internal\": \"\"\n      },\n      \"sys_mod_count\": {\n        \"display_value\": \"10\",\n        \"value\": 10.0\n      },\n      \"on_hold\": {\n        \"display_value\": \"false\",\n        \"value\": false\n      },\n      \"sys_tags\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"conflict_last_run\": {\n        \"display_value\": \"\",\n        \"value\": \"\",\n        \"display_value_internal\": \"\"\n      },\n      \"risk_value\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"unauthorized\": {\n        \"display_value\": \"false\",\n        \"value\": false\n      },\n      \"risk\": {\n        \"display_value\": \"Moderate\",\n        \"value\": 3.0\n      },\n      \"location\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"category\": {\n        \"display_value\": \"Other\",\n        \"value\": \"Other\"\n      },\n      \"risk_impact_analysis\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      }\n    }\n}\n```\n\n## Change Management - DELETE /sn\\_chg\\_rest/change/\\{sys\\_id\\}/conflict\n\nCancels the running conflict checking process for the specified change request \\(sys\\_id\\).\n\n### URL format\n\nVersioned URL: `/api/sn_chg_rest/{api_version}/change/{sys_id}/conflict`\n\nDefault URL: `/api/sn_chg_rest/change/{sys_id}/conflict`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the change request record for which to cancel the running conflict checking process.Data type: String\n\nTable: Change Request \\[change\\_request\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad request. Cancel request failed.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not Found. The specified record couldn't be found.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n|Name|Description|\n|----|-----------|\n|None||\n\n### cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/sn_chg_rest/v1/change/0f4ac6c4b750230096c3e4f6ee11a9fe/conflict\" \\\n--request DELETE \\\n--user \"username\":\"password\"\n\n```\n\n```\nNone\n```\n\n## Change Management - DELETE /sn\\_chg\\_rest/change/emergency/\\{sys\\_id\\}\n\nDeletes the emergency change request identified by the specified sys\\_id.\n\n### URL format\n\nVersioned URL: `/api/sn_chg_rest/{api_version}/change/emergency/{sys_id}`\n\nDefault URL: `/api/sn_chg_rest/change/emergency/{sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the emergency change request to delete.Data type: String\n\nTable: Change Request \\[ change\\_request\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Request completed successfully.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not Found. The specified record couldn't be found.|\n|500|Internal Server Error. A logic error on the server-side code occurred.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nname-value pairs\n\n</td><td>\n\nValues for all fields in the associated change request.Data type: Object\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nState of the change request prior to the delete.Data type: Object\n\n```\nstate: {\n  display_value: \"String\", \n  value: \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nstate.display\\_value\n\n</td><td>\n\nState to display in the UI.Data type: String\n\n</td></tr><tr><td>\n\nstate.value\n\n</td><td>\n\nInternal state value.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id information for the change request.Data type: Object\n\n```\nsys_id: {\n  display_value: \"String\", \n  value: \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsys\\_id.display\\_value\n\n</td><td>\n\nSys\\_id of the change request to display in a UI.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id.value\n\n</td><td>\n\nSys\\_id of the change request.Data type: String\n\n</td></tr><tr><td>\n\ntype\n\n</td><td>\n\nType of change request.Data type: Object\n\n```\ntype: {\n  display_value: \"String\",\n  value: \"String\"\n}\n```\n\n</td></tr><tr><td>\n\ntype.display\\_value\n\n</td><td>\n\nChange type to display in a UI.Value is always \"Emergency\".\n\nData type: String\n\n</td></tr><tr><td>\n\ntype.value\n\n</td><td>\n\nInternal type value.Value is always \"emergency\".\n\nData type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/sn_chg_rest/v1/change/emergency/b0dbda5347c12200e0ef563dbb9a718f\" \\\n--request DELETE \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n\n```\n\n```\n{\n  result: [\n    {\n      sys_id: {\n        value: \"b0dbda5347c12200e0ef563dbb9a718f\", \n        display_value: \"b0dbda5347c12200e0ef563dbb9a718f\"\n      },\n      state: {\n        value: \"-5\", \n        display_value: \"New\"\n      },\n      type: {\n        value: \"emergency\",\n        display_value: \"Emergency\"\n      },\n      ..., // all valid fields in record, example below\n      short_description: {\n        value: \"Remove server\",\n        display_value: \"Remove server\"\n      },\n    }, \n  ]\n}\n```\n\n## Change Management - DELETE /sn\\_chg\\_rest/change/normal/\\{sys\\_id\\}\n\nDeletes the normal change request identified by the specified sys\\_id.\n\n### URL format\n\nVersioned URL: `/api/sn_chg_rest/{api_version}/change/normal/{sys_id}`\n\nDefault URL: `/api/sn_chg_rest/change/normal/{sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the normal change request to delete.Data type: String\n\nTable: Change Request \\[change\\_request\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not Found. The specified record couldn't be found.|\n|500|Internal Server Error. A logic error on the server-side code occurred.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nname-value pairs\n\n</td><td>\n\nValues for all fields in the associated change request.Data type: Object\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nState of the change request prior to the delete.Data type: Object\n\n```\nstate: {\n  display_value: \"String\", \n  value: \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nstate.display\\_value\n\n</td><td>\n\nState to display in the UI.Data type: String\n\n</td></tr><tr><td>\n\nstate.value\n\n</td><td>\n\nInternal state value.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the change request.Data type: String\n\n</td></tr><tr><td>\n\ntype\n\n</td><td>\n\nType of change request.Data type: Object\n\n```\ntype: {\n  display_value: \"String\",\n  value: \"String\"\n}\n```\n\n</td></tr><tr><td>\n\ntype.display\\_value\n\n</td><td>\n\nChange type to display in the UI.Value is always \"Normal\".\n\nData type: String\n\n</td></tr><tr><td>\n\ntype.value\n\n</td><td>\n\nInternal type value.Value is always \"normal\".\n\nData type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/sn_chg_rest/v1/change/normal/b0dbda5347c12200e0ef563dbb9a718f\" \\\n--request DELETE \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n\n```\n\n```\n{\n  result: [\n    {\n      sys_id: \"b0dbda5347c12200e0ef563dbb9a718f\",\n      state: {\n        value: \"-5\", \n        display_value: \"New\"\n      },\n      type: {\n        value: \"normal\",\n        display_value: \"Normal\"\n      },\n      ..., // all valid fields in record, example below\n      short_description: {\n        value: \"Remove server\",\n        display_value: \"Remove server\"\n      },\n    }, \n  ]\n}\n\n```\n\n## Change Management - DELETE /sn\\_chg\\_rest/change/standard/\\{sys\\_id\\}\n\nDeletes the standard change request identified by the specified sys\\_id.\n\n### URL format\n\nVersioned URL: `/api/sn_chg_rest/{api_version}/change/standard/{sys_id}`\n\nDefault URL: `/api/sn_chg_rest/change/standard/{sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the standard change request to delete.Data type: String\n\nTable: Change Request \\[change\\_request\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Request completed successfully.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not Found. The specified record couldn't be found.|\n|500|Internal Server Error. A logic error on the server-side code occurred.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nname-value pairs\n\n</td><td>\n\nAll fields \\(key\\) with their associated values for the identified change request.\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nState of the change request prior to the delete.Data type: Object\n\n ```\nstate: {\n  display_value: \"String\", \n  value: \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nstate.display\\_value\n\n</td><td>\n\nState to display in the UI.Data type: String\n\n</td></tr><tr><td>\n\nstate.value\n\n</td><td>\n\nInternal state value.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nUnique identifier of the change request.\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/sn_chg_rest/v1/change/standard/1c87925347c12200e0ef563dbb9a7177\" \\\n--request DELETE \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n\n```\n\n```\n{\n  result: [\n    {\n      sys_id: \"1c87925347c12200e0ef563dbb9a7177\",\n      state: {\n        value: \"-5\", \n        display_value: \"New\"\n      },\n      ..., // all valid fields in record, example below\n      short_description: {\n        value: \"Add network switch to cabinet\",\n        display_value: \"Add network switch to cabinet\"\n      },\n    }, \n  ]\n}\n\n```\n\n## Change Management - GET /sn\\_chg\\_rest/change/ci/\\{cmdb\\_ci\\_sys\\_id\\}/schedule\n\nEnables retrieving available time slots by configuration item ID and duration, with an option to include planned start time.\n\nRole required: sn\\_change\\_writer.\n\n**Note:** Running this endpoint doesn't list the available start and end times. Use the link provided in the response body **worker.link** property to get the schedule data.\n\nSee also:\n\n-   [GET /sn\\_chg\\_rest/change/\\{change\\_sys\\_id\\}/schedule](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/change-management-api.md)\n-   [PATCH /sn\\_chg\\_rest/change/\\{change\\_sys\\_id\\}/schedule/first\\_available](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/change-management-api.md)\n\n### URL format\n\nVersioned URL: `/api/sn_chg_rest/{api_version}/change/ci/{cmdb_ci_sys_id}/schedule`\n\nDefault URL: `/api/sn_chg_rest/change/ci/{cmdb_ci_sys_id}/schedule`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\ncmdb\\_ci\\_sys\\_id\n\n</td><td>\n\nSys\\_id of the configuration item record. This endpoint doesn't require a change request.Data type: String\n\nTable: Configuration Items \\[cmdb\\_ci\\]\n\n</td></tr></tbody>\n</table><table id=\"table_fd4_yhf_jpb\" class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nduration\\_in\\_seconds\n\n</td><td>\n\nDuration of change in seconds, that is, how much time is required to complete the change request task.Data type: Integer\n\n</td></tr><tr><td>\n\nplanned\\_start\\_time\n\n</td><td>\n\nOptional. Date and time that the change request is planned to start implementation in UTC.Retrieve the available time slot start at or later than this time. If not provided, the system uses the current time as the start time.\n\nFormat: yyyy-mm-dd hh:mm:ss\n\nData type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n202\n\n</td><td>\n\nSystem accepted the request.\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nBad Request. A bad request type or malformed request was detected. Possible issues:\n\n-   Can't find the cmdb\\_ci with the provided sys\\_id. The record either doesn't exist the or the user doesn't have read access to it.\n-   The duration\\_in\\_seconds query parameter value wasn't provided.\n-   Invalid duration\\_in\\_seconds or planned\\_start\\_time query parameter value provided.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table id=\"table_is2_n4s_jpb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr id=\"row-result-error-cmdb\"><td>\n\nerror\n\n</td><td>\n\nInformation on any errors encountered while processing the endpoint request. Data type: Object\n\n```\n\"error\": {\n  \"detail\": \"String\",\n  \"message\": \"String\",\n  \"status\": \"String\"\n}\n```\n\n</td></tr><tr id=\"row-result-error_detail-cmdb\"><td>\n\nerror.detail\n\n</td><td>\n\nAdditional information about the error.Data type: String\n\n</td></tr><tr id=\"row-result-error_message-cmdb\"><td>\n\nerror.message\n\n</td><td>\n\nMessage that identifies the error.Data type: String\n\n</td></tr><tr><td>\n\nmessages\n\n</td><td>\n\nMessage information.Data type: Object\n\n```\n\"messages\": {\n  \"errorMessages\": [Array],\n  \"infoMessages\": [Array],\n  \"warningMessages\": [Array]\n}\n```\n\n</td></tr><tr><td>\n\nmessages.errorMessages\n\n</td><td>\n\nError messages encountered while processing the request. Data type: Array\n\n</td></tr><tr><td>\n\nmessages.infoMessages\n\n</td><td>\n\nInformation messages encountered while processing the request. Data type: Array\n\n</td></tr><tr><td>\n\nmessages.warningMessages\n\n</td><td>\n\nWarning messages encountered while processing the request. Data type: Array\n\n</td></tr><tr><td>\n\nrequest\n\n</td><td>\n\nOriginal endpoint request.Data type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nInformation on the current state of the worker.Data type: Object\n\n```\nstate: {\n  display_value: \"String\", \n  value: Number\n}\n```\n\n</td></tr><tr><td>\n\nstate.display\\_value\n\n</td><td>\n\nDisplay value of the state of the worker. These values directly correlate to the **state.value** parameter.Possible values:\n\n-   Complete\n-   Error\n-   In-Progress\n-   Waiting\n\nData type: String\n\n</td></tr><tr><td>\n\nstate.value\n\n</td><td>\n\nNumeric value of the state of the worker.Possible values:\n\n-   1\n-   2\n-   3\n-   4\n\nData type: Number\n\n</td></tr><tr><td>\n\ntype\n\n</td><td>\n\nType of request.Valid value: schedule\n\nData type: String\n\n</td></tr><tr><td>\n\nworker\n\n</td><td>\n\nInformation about the associated worker.Data type: Object\n\n```\n\"worker\": {\n  \"link\": \"String\",\n  \"sysId\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nworker.link\n\n</td><td>\n\nLink for retrieving time slot data. Use the sys\\_id in [GET /sn\\_chg\\_rest/change/worker/\\{sys\\_id\\}](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/change-management-api.md) to view results.Data type: String\n\n</td></tr><tr><td>\n\nworker.sysId\n\n</td><td>\n\nSys\\_id of the worker associated with the change request.Data type: String\n\n</td></tr><tr><td>\n\nstatus\n\n</td><td>\n\nOnly appears if an error is encountered. Status of the endpoint processing.Possible value: failure\n\nData type: String\n\n</td></tr></tbody>\n</table>### Get available time slots\n\nUse the value provided in the **worker.link** to get schedule window details. The value is in the following format:\n\n`https://instance.service-now.com/api/sn_chg_rest/change/worker/<worker_sys_id>`\n\nUse the worker\\_sys\\_id in [GET /sn\\_chg\\_rest/change/worker/\\{sys\\_id\\}](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/change-management-api.md) to view results.\n\nThe response body contains the status and provides results when processing is complete.\n\nWorker response body parameter results vary depending on time slot availability.\n\n-   If the provided time slot is available for the change request within the schedule time slot, the worker API lists the available time slots in the **payload.spans** property. The **payload.spans** property isn't listed in the results otherwise.\n-   If there are no time slots available for change request duration provided within the defined scheduling time slot, the **messages.infoMessages** states the following: `D`\n\n    **Note:** The change request scheduling time slot default value is 90 days. To change this value, modify the **change.conflict.next\\_available.schedule\\_window** property. For more information, see [Configure conflict analysis properties](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/it-service-management/configure-conflict-properties.md).\n\n\nThe following GET /sn\\_chg\\_rest/change/worker/\\{sys\\_id\\} example shows output provided using the ID provided in the worker.link detail. The results list open time spans available for the task duration.\n\n```\n{\n  \"result\": {\n    \"worker\": {\n      \"sysId\": \"d7d1f2b4a444b010f87712198fe9caae\",\n      \"link\": \"https://instance.service-now.com/api/sn_chg_rest/change/worker/d7d1f2b4a444b010f87712198fe9caae\"\n    },\n    \"request\": \"{\\\"cmdb_ci_sys_id\\\":\\\"82967cdd0ad3370236092104ce988d76\\\",\\\"planned_start_time\\\":\\\"\\\",\\\"duration_in_seconds\\\":10800,\\\"timezone\\\":\\\"America/Los_Angeles\\\"}\",\n    \"state\": {\n      \"value\": 3,\n      \"display_value\": \"Complete\"\n    },\n    \"type\": \"schedule\",\n    \"messages\": {\n      \"errorMessages\": [],\n      \"warningMessages\": [],\n      \"infoMessages\": []\n    },\n    \"payload\": {\n      \"spans\": [\n        {\n          \"start\": {\n            \"value\": \"2021-05-15 08:00:00\",\n            \"display_value\": \"2021-05-15 01:00:00\"\n          },\n          \"end\": {\n            \"value\": \"2021-05-15 11:00:00\",\n            \"display_value\": \"2021-05-15 04:00:00\"\n          }\n        },\n        {\n          \"start\": {\n            \"value\": \"2021-05-22 08:00:00\",\n            \"display_value\": \"2021-05-22 01:00:00\"\n          },\n          \"end\": {\n            \"value\": \"2021-05-22 11:00:00\",\n            \"display_value\": \"2021-05-22 04:00:00\"\n          }\n        },\n        ...\n      ]\n    }\n  }\n}\n```\n\n### cURL request\n\n```\ncurl \"https://instance.service-now.com/api/sn_chg_rest/change/ci/<cmdb_ci_sys_id>/schedule?duration_in_seconds=10800\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n```\n\nResults include worker.link details you can use to run the provided sys\\_id in the GET /sn\\_chg\\_rest/change/worker/ endpoint.\n\n```\n{\n  \"result\": {\n    \"worker\": {\n      \"sysId\": \"1049419c1b4c3010f58a6572604bcb7a\",\n      \"link\": \"https://instance.service-now.com/api/sn_chg_rest/change/worker/1049419c1b4c3010f58a6572604bcb7a\"\n    },\n    \"request\": \"{\\\"cmdb_ci_sys_id\\\":\\\"<cmdb_ci_sys_id>\\\",\\\"planned_start_time\\\":\\\"\\\",\\\"duration_in_seconds\\\":10800,\\\"timezone\\\":\\\"America/Los_Angeles\\\"}\",\n    \"state\": {\n      \"value\": 1,\n      \"display_value\": \"Waiting\"\n    },\n    \"type\": \"schedule\",\n    \"messages\": {\n      \"errorMessages\": [],\n      \"warningMessages\": [],\n      \"infoMessages\": []\n    }\n  }\n}\n```\n\n## Change Management - GET /sn\\_chg\\_rest/change\n\nRetrieves one or more change requests based on the specified criteria.\n\n### URL format\n\nVersioned URL: `/api/sn_chg_rest/{api_version}/change`\n\nDefault URL: `/api/sn_chg_rest/change`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nname-value pairs\n\n</td><td>\n\nName-value pairs to use to filter the result set. The name is the field on which the specified value is filtered. This parameter is mutually exclusive with **sysparm\\_query**. For example, instead of using `&sysparm_query=active=true`, you can simplify the calling statement by using `&active=true`. You can also use the display value when the field is a choice or reference type field, such as `&state=closed` instead of `&state=7`. To specify multiple key-value pairs, separate each with an ampersand, such as `&active=true&assigned_to=john.smith`. Data type: String\n\n</td></tr><tr><td>\n\norder\n\n</td><td>\n\nField by which to sort the returned change requests.Data type: String\n\n Default: *name*\n\n</td></tr><tr><td>\n\nsysparm\\_offset\n\n</td><td id=\"sysparm_offset-entry-RESTAPI\">\n\nStarting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, **sysparm\\_offset** is set to \"0\". To simply page through all available records, use `sysparm_offset=sysparm_offset+sysparm_limit`, until you reach the end of all records.\n\nDon't pass a negative number in the **sysparm\\_offset** parameter.Data type: Number\n\nDefault: 0\n\n</td></tr><tr><td>\n\nsysparm\\_query\n\n</td><td id=\"sysparm-query-RESTAPI\">\n\n[Encoded query](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/platform-user-interface/c_EncodedQueryStrings.md) used to filter the result set. You can use a UI filter to obtain a properly encoded query.Syntax: `sysparm_query=<col_name><operator><value>`. Column names, operators, and values are case-sensitive.\n\n-   &lt;col\\_name&gt;: Name of the table column to filter on.\n-   &lt;operator&gt;: Supports the following values:\n    -   `=`: &lt;col\\_name&gt; exactly matches &lt;value&gt;.\n    -   `!=`: &lt;col\\_name&gt; does not match &lt;value&gt;.\n    -   `LIKE`: &lt;col\\_name&gt; contains the specified string &lt;value&gt;. Only works for &lt;col\\_name&gt; fields whose data type is string.\n    -   `STARTSWITH`: &lt;col\\_name&gt; starts with the specified string &lt;value&gt;. Only works for &lt;col\\_name&gt; fields whose data type is string.\n    -   `ENDSWITH`: &lt;col\\_name&gt; ends with the specified string &lt;value&gt;. Only works for &lt;col\\_name&gt; fields whose data type is string.\n    -   `^`: AND operator to add an additional query condition. Records included in the result set match both conditions.\n    -   `^OR`: OR operator to add an additional query condition. Records included in the result set match at least one of the conditions.\n-   &lt;value&gt;: Value to filter on.\n\nFor more information about operators, see [Operators available for filters and queries](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/platform-user-interface/r_OpAvailableFiltersQueries.md).\n\nQueries can contain multiple conditions. For example, the following query returns records where the caller is the current user and the record is active.\n\n`sysparm_query=caller_id=javascript:gs.getUserID()^active=true`\n\nEncoded queries also support order by ascending and descending functionality. To sort responses based on certain fields, use the `ORDERBY` and `ORDERBYDESC` clauses in **sysparm\\_query**.\n\nSyntax:\n\n-   `ORDERBY<col_name>`\n-   `ORDERBYDESC<col_name>`\n\nFor example, the following query gets all active records and orders the results in ascending order by number, and then in descending order by category.\n\n`sysparm_query=active=true^ORDERBYnumber^ORDERBYDESCcategory`\n\nBy default, if part of a query is invalid, such as an invalid field name, the instance ignores the invalid part. It then returns rows using only the valid portion of the query. Set the property **glide.invalid\\_query.returns\\_no\\_rows** to `true` to instead return no rows on an invalid query.\n\n**Note:** The **glide.invalid\\_query.returns\\_no\\_rows** property controls the behavior of all queries across the instance, such as in lists, scripts \\(GlideRecord.query\\(\\)\\), and web service APIs.\n\nData type: String\n\n</td></tr><tr><td>\n\ntextSearch\n\n</td><td>\n\nString to use to search all normal change request record fields. This search uses ServiceNow full text search platform functionality. For more information on ServiceNow search capabilities, see [Search administration](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/platform-administration/search-administration.md).Default: `IR_AND_OR_QUERY`\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Request completed successfully.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|500|Internal Server Error. A logic error on the server-side code occurred.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nElement\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nList containing one or more change request record objects. Each object describes a change request. Each element in the change request object corresponds to a field in its associated record in the Change Request \\[change\\_request\\] table.All elements contain value and display\\_value name-value pairs. Date fields also contain display\\_value\\_internal name-value pairs.\n\nData type: Array\n\n</td></tr><tr><td>\n\naction\\_status\n\n</td><td id=\"action_status-entry-chg_req\">\n\nCurrent action status of the associated change request.Possible values:\n\n-   1: Blocked internally\n-   2: Blocked by customer\n-   3: Blocked internally and by customer\n-   4: Needs attention\n\nData type: Number\n\n</td></tr><tr><td>\n\nactive\n\n</td><td id=\"active-entry-chg_req\">\n\nFlag that indicates whether the change request is active.Possible values:\n\n-   true: Change request is active\n-   false: Change request isn't active\n\nData type: Boolean\n\nDefault: true\n\n</td></tr><tr><td>\n\nactivity\\_due\n\n</td><td id=\"activity_due-entry-chg_req\">\n\nDate and time for which the associated case is expected to be completed.Data type: String\n\n</td></tr><tr><td>\n\nadditional\\_assignee\\_list\n\n</td><td id=\"add_assignee_list-entry-chg_req\">\n\nList of sys\\_ids of additional persons assigned to work on the change request.Data type: Array\n\n</td></tr><tr><td>\n\napproval\n\n</td><td id=\"approval-entry-chg_req\">\n\nType of approval process required.Data type: String\n\nDefault: not requested\n\n</td></tr><tr><td>\n\napproval\\_history\n\n</td><td id=\"approval_history-entry-chg_req\">\n\nMost recent approval history journal entry.Data type: String\n\n</td></tr><tr><td>\n\napproval\\_set\n\n</td><td id=\"approval_set-entry-chg_req\">\n\nDate and time that the associated action was approved.Data type: String\n\n</td></tr><tr><td>\n\nassigned\\_to\n\n</td><td id=\"assigned_to-entry-chg_req\">\n\nSys\\_id of the user assigned to the change request.Data type: String\n\n</td></tr><tr><td>\n\nassignment\\_group\n\n</td><td id=\"assign_group-entry-chg_req\">\n\nSys\\_id of the group assigned to the change request.Data type: String\n\n</td></tr><tr><td>\n\nbackout\\_plan\n\n</td><td id=\"backout_plan-entry-chg_req\">\n\nDescription of the plan to execute if the change must be reversed.Data type: String\n\n</td></tr><tr><td>\n\nbusiness\\_duration\n\n</td><td id=\"business_dur-entry-chg_req\">\n\nLength in scheduled work hours, work days, and work weeks that it took to complete the change.Data type: String\n\n</td></tr><tr><td>\n\nbusiness\\_service\n\n</td><td id=\"business_service-entry-chg_req\">\n\nSys\\_id of the business service associated with the change request. Located in the Service \\[cmdb\\_ci\\_service\\] table.Data type: String\n\n</td></tr><tr><td>\n\ncab\\_date\n\n</td><td id=\"cab_date-entry-chg_req\">\n\nDate on which the Change Advisory Board \\(CAB\\) meets.Data type: String\n\n</td></tr><tr><td>\n\ncab\\_delegate\n\n</td><td id=\"cab_delegate-entry-chg_req\">\n\nSys\\_id of the user that can substitute for the CAB manager during a CAB meeting. Located in the User \\[sys\\_user\\] tableData type: String\n\n</td></tr><tr><td>\n\ncab\\_recommendation\n\n</td><td id=\"cab_rec-entry-chg_req\">\n\nDescription of the CAB recommendations for the change request.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\ncab\\_required\n\n</td><td id=\"cab_req-entry-chg_req\">\n\nFlag that indicates whether the CAB is required.Possible values:\n\n-   true: Change Advisory Board is required.\n-   false: Change Advisory Board isn't required.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\ncalendar\\_duration\n\n</td><td id=\"cal_dur-entry-chg_req\">\n\nNot currently used by Change Management.Data type: String\n\n</td></tr><tr><td>\n\ncategory\n\n</td><td id=\"category-entry-chg_req\">\n\nCategory of the change, for example hardware, network, or software.Data type: String\n\nDefault: Other\n\n</td></tr><tr><td>\n\nchange\\_plan\n\n</td><td id=\"change_plan-entry-chg_req\">\n\nActivities and roles for managing and controlling the change request.Data type: String\n\n</td></tr><tr><td>\n\nchg\\_model\n\n</td><td id=\"chg_model-entry-chg_req\">\n\nSys\\_id of the change model that the associated change request was based on. The Change Model defines the state flow, transitions, and process activities that must be completed for the change request.Data type: String\n\nTable: Change Model \\[chg\\_model\\]\n\n</td></tr><tr><td>\n\nclosed\\_at\n\n</td><td id=\"closed_at-entry-chg_req\">\n\nDate and time that the associated change request was closed.Data type: String\n\n</td></tr><tr><td>\n\nclosed\\_by\n\n</td><td id=\"closed_by-entry-chg_req\">\n\nSys\\_id of the person that closed the change request.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\nclose\\_code\n\n</td><td id=\"close_code-entry-chg_req\">\n\nCode assigned to the change request when it was closed. For example, Successful, Successful with issues, and Unsuccessful.Data type: String\n\n</td></tr><tr><td>\n\nclose\\_notes\n\n</td><td id=\"close_notes-entry-chg_req\">\n\nNotes that the person entered when closing the change request.Data type: String\n\n</td></tr><tr><td>\n\ncmdb\\_ci\n\n</td><td id=\"cmdb_ci-entry-chg_req\">\n\nSys\\_id of the configuration item associated with the change request.Data type: String\n\nTable: Configuration Item \\[cmdb\\_ci\\]\n\n</td></tr><tr><td>\n\ncomments\n\n</td><td id=\"comments-entry-chg_req\">\n\nList of customer-facing work notes entered in the associated change request.Data type: Array\n\n</td></tr><tr><td>\n\ncomments\\_and\\_work\\_notes\n\n</td><td id=\"comments_work_notes-entry-chg_req\">\n\nList of both internal and customer-facing work notes entered for the associated change request.Data type: Array\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\ncompany\n\n</td><td id=\"company-entry-chg_req\">\n\nSys\\_id of the company associated with the change request.Data type: String\n\nTable: Company \\[core\\_company\\]\n\n</td></tr><tr><td>\n\nconflict\\_last\\_run\n\n</td><td id=\"conflict_last_run-entry-chg_req\">\n\nDate and time that the conflict detection script was last run on the change request.Data type: String\n\n</td></tr><tr><td>\n\nconflict\\_status\n\n</td><td id=\"conflict_status-entry-chg_req\">\n\nCurrent conflict status as detected by the conflict detection script, such as Conflict and Not Run.Data type: String\n\nMaximum length: 40\n\nDefault: Not Run\n\n</td></tr><tr><td>\n\ncontact\\_type\n\n</td><td id=\"contact_type-entry-chg_req\">\n\nMethod in which the change request was initially requested.Possible values:\n\n-   chat\n-   email\n-   phone\n-   social\n-   web\n\nData type: String\n\n</td></tr><tr><td>\n\ncontract\n\n</td><td id=\"contract-entry-chg_req\">\n\nSys\\_id of the contract associated with the change request.Data type: String\n\nTable: Contract \\[ast\\_contract\\]\n\n</td></tr><tr><td>\n\ncorrelation\\_display\n\n</td><td id=\"corr_display-entry-chg_req\">\n\nUser-friendly name for the **correlation\\_id**.Data type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ncorrelation\\_id\n\n</td><td id=\"corr_id-entry-chg_req\">\n\nGlobally unique ID \\(GUID\\) of a matching change request record in a third-party system.Data type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ndelivery\\_plan\n\n</td><td id=\"delivery_plan-entry-chg_req\">\n\nNo longer in use. Sys\\_id of the delivery plan associated with the change request.Data type: String\n\nTable: Execution Plan \\[sc\\_cat\\_item\\_delivery\\_plan\\]\n\n</td></tr><tr><td>\n\ndelivery\\_task\n\n</td><td id=\"delivery_task-entry-chg_req\">\n\nNo longer in use. Sys\\_id of the delivery task associated with the change request.Data type: String\n\nTable: Execution Plan Task \\[sc\\_cat\\_item\\_delivery\\_task\\]\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td id=\"description-entry-chg_req\">\n\nDetailed description of the change request.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\ndue\\_date\n\n</td><td>\n\nTask due date. Not used by change request process.Data type: String\n\n</td></tr><tr><td>\n\nend\\_date\n\n</td><td id=\"end_date-entry-chg_req\">\n\nDate and time when the change request is to be completed.Data type: String\n\n</td></tr><tr><td>\n\nescalation\n\n</td><td id=\"escalation-entry-chg_req\">\n\nCurrent escalation level.Possible values:\n\n-   0: Normal\n-   1: Moderate\n-   2: High\n-   3: Overdue\n\nData type: Number \\(Integer\\)\n\nDefault: 0\n\n</td></tr><tr><td>\n\nexpected\\_start\n\n</td><td id=\"expected_start-entry-chg_req\">\n\nDate and time when the task is to start. Not used by the change request process.Data type: String\n\n</td></tr><tr><td>\n\nfollow\\_up\n\n</td><td id=\"follow_up-entry-chg_req\">\n\nDate and time when a user followed-up with the person requesting the change request.Data type: String\n\n</td></tr><tr><td>\n\ngroup\\_list\n\n</td><td id=\"group_list-entry-chg_req\">\n\nList of sys\\_ids and names of the groups associated with the change request.Data type: Array\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\nimpact\n\n</td><td id=\"impact-entry-chg_req\">\n\nImpact on the change request will have on the customer.Possible values:\n\n-   1: High\n-   2: Medium\n-   3: Low\n\nData type: Number \\(Integer\\)\n\nDefault: 3\n\n</td></tr><tr><td>\n\nimplementation\\_plan\n\n</td><td id=\"imp_plan-entry-chg_req\">\n\nSequential steps to execute to implement this change. It also contains any dependencies between steps and assignee details for each step.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\njustification\n\n</td><td id=\"justification-entry-chg_req\">\n\nBenefits of implementing this change and the impact if this change is not implemented.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\nknowledge\n\n</td><td id=\"knowledge-entry-chg_req\">\n\nFlag that indicates whether there are any knowledge base \\(\\)KB\\) articles associated with the change request.Possible values:\n\n-   true: Associated KB articles\n-   false: No associated KB articles\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nlocation\n\n</td><td id=\"location-entry-chg_req\">\n\nSys\\_id and name of the location of the equipment referenced in the change request.Data type: String\n\nTable: Location \\[cmn\\_location\\]\n\n</td></tr><tr><td>\n\nmade\\_sla\n\n</td><td id=\"made_sla-entry-chg_req\">\n\nNo longer used. Flag that indicates whether the change request was implemented in alignment with the associated service level agreement.Data type: Boolean\n\n</td></tr><tr><td>\n\nneeds\\_attention\n\n</td><td id=\"needs_attention-entry-chg_req\">\n\nFlag that indicates whether the change request needs attention.Possible values:\n\n-   true: Change request needs additional attention.\n-   false: Change request doesn't need additional attention.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nnumber\n\n</td><td id=\"number-entry-chg_req\">\n\nChange number assigned to the change request by the system, such as CHG0040007.Data type: String\n\n</td></tr><tr><td>\n\non\\_hold\n\n</td><td id=\"on_hold-entry-chg_req\">\n\nFlag that indicates whether the change request is currently on hold.Possible values:\n\n-   true: On hold\n-   false: Not on hold\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\non\\_hold\\_reason\n\n</td><td id=\"on_hold_reason-entry-chg_req\">\n\nIf the **on\\_hold** parameter is \"true\", description of the reason why the change request is being held up.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\non\\_hold\\_task\n\n</td><td id=\"on_hold_task-entry-chg_req\">\n\nIf the **on\\_hold** parameter is \"true\", list of the sys\\_ids of the tasks that must be completed before the hold is released.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\nopened\\_at\n\n</td><td id=\"opened_at-entry-chg_req\">\n\nDate and time that the change release was created.Data type: String\n\n</td></tr><tr><td>\n\nopened\\_by\n\n</td><td id=\"opened_by-entry-chg_req\">\n\nSys\\_id and name of the user that created the change release.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\norder\n\n</td><td id=\"order-entry-chg_req\">\n\nNot used by Change Management. Optional numeric field by which to order records, such as when retrieving them from a database.Data type: Number \\(Integer\\)\n\n</td></tr><tr><td>\n\noutside\\_maintenance\\_schedule\n\n</td><td id=\"outside_maint_sched-entry-chg_req\">\n\nFlag that indicates whether maintenance by an outside company has been schedule for the change request.Possible values:\n\n-   true: Outside maintenance scheduled\n-   false: No outside maintenance scheduled\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nparent\n\n</td><td id=\"parent-entry-chg_req\">\n\nSys\\_id and name of the parent task to this change request, if any.Data type: String\n\nTable: Task \\[task\\]\n\n</td></tr><tr><td>\n\nphase\n\n</td><td id=\"phase-entry-chg_req\">\n\nCurrent phase of the change request. This defines what the change is doing in greater detail.Possible values:\n\n-   accept\n-   build\n-   plan\n-   requested\n\nData type: String\n\n</td></tr><tr><td>\n\nphase\\_state\n\n</td><td id=\"phase_state-entry-chg_req\">\n\nChange\\_phase records that should be created for a change. They are dependent on the category, such that each type of change may have different change\\_phase records. The change\\_phase records provide an opportunity to control the approval process as each change\\_phase can have a schedule and a set of approvers.Possible values:\n\n-   complete\n-   on hold\n-   open\n-   rejected\n-   requested\n-   work in progress\n\nData type: String\n\n</td></tr><tr><td>\n\npriority\n\n</td><td id=\"priority-entry-chg_req\">\n\nPriority of the change request.Possible values:\n\n-   1: Critical\n-   2: High\n-   3: Moderate\n-   4: Low\n\nData type: Number \\(Integer\\)\n\nDefault: 4\n\n</td></tr><tr><td>\n\nproduction\\_system\n\n</td><td id=\"prod_system-entry-chg_req\">\n\nFlag that indicates whether the change request is for a ServiceNow instance that is in a production environment.Possible values:\n\n-   true: Production environment\n-   false: Non-production environment\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nreason\n\n</td><td id=\"reason-entry-chg_req\">\n\nDescription of why the change request was initiated.Possible values:\n\n-   Business requirements\n-   Hardware upgrade\n-   Legislation\n-   Location change\n-   Network requirements\n-   New or removed CI\n-   Other\n-   Problem resolved\n-   Product or service changed\n-   Software upgrade\n-   User requested\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nreassignment\\_count\n\n</td><td id=\"reassign_count-entry-chg_req\">\n\nNumber of times that the change request has been reassigned to a new owner.Data type: Number \\(Integer\\)\n\nDefault: 0\n\n</td></tr><tr><td>\n\nrejection\\_goto\n\n</td><td id=\"rejection_goto-entry-chg_req\">\n\nSys\\_id of the task to perform if the change request is rejected.Data type: String\n\nTable: Task \\[task\\]\n\n</td></tr><tr><td>\n\nrequested\\_by\n\n</td><td id=\"requested_by-entry-chg_req\">\n\nSys\\_id of the user that requested the change.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\nrequested\\_by\\_date\n\n</td><td id=\"requested_by_date-entry-chg_req\">\n\nDate and time when the change is requested to be implemented by.Data type: String\n\n</td></tr><tr><td>\n\nreview\\_comments\n\n</td><td id=\"review_comments-entry-chg_req\">\n\nComments entered when the change request was reviewed.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\nreview\\_date\n\n</td><td id=\"review_date-entry-chg_req\">\n\nDate that the change request was reviewed.Data type: String\n\n</td></tr><tr><td>\n\nreview\\_status\n\n</td><td id=\"review_status-entry-chg_req\">\n\nCurrent status of the requested change request review.Data type: String\n\n</td></tr><tr><td>\n\nrisk\n\n</td><td id=\"risk-entry-chg_req\">\n\nLevel of risk associated with the change request.Valid values:\n\n-   1: High\n-   2: Moderate\n-   3: Low\n\nData type: Number\n\nDefault: 3\n\n</td></tr><tr><td>\n\nrisk\\_impact\\_analysis\n\n</td><td id=\"risk_impact_analysis-entry-chg_req\">\n\nDescription of the risk and analysis of implementing the change request.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\nroute\\_reason\n\n</td><td id=\"route_reason-entry-chg_req\">\n\nNot currently used by Change Management. Reason that the change request was transferred.Possible values:\n\n-   1: Transfer with Resolution\n-   9: Transfer without Resolutions\n\nData type: Number\n\n</td></tr><tr><td>\n\nscope\n\n</td><td id=\"scope-entry-chg_req\">\n\nSize of the change request.Possible values:\n\n-   1: Massive\n-   2: Large\n-   3: Medium\n-   4: Small\n-   5: Tiny\n\nData type: Number\n\nDefault: 3\n\n</td></tr><tr><td>\n\nservice\\_offering\n\n</td><td id=\"sevice_offering-entry-chg_req\">\n\nSys\\_id of the service offering associated with the change request. Service offerings uniquely define the level of service in terms of availability, scope, pricing, and packaging options.Data type: String\n\nTable: Offering \\[service\\_offering\\]\n\n</td></tr><tr><td>\n\nshort\\_description\n\n</td><td id=\"short_desc-entry-chg_req\">\n\nDescription of the change request.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nskills\n\n</td><td id=\"skills-entry-chg_req\">\n\nList of the sys\\_ids of all of the skills required to implement the change request.Data type: Array\n\nTable: Skill \\[cmn\\_skill\\]\n\n</td></tr><tr><td>\n\nsla\\_due\n\n</td><td id=\"sla_due-entry-chg_req\">\n\nNo longer in use. Date and time that the change request must be completed based on the associated service level agreement.Data type: String\n\n</td></tr><tr><td>\n\nsn\\_esign\\_document\n\n</td><td>\n\nSys\\_id of any E-signed document attached to the change request.Data type: String\n\nTable: Attachment \\[sys\\_attachment\\]\n\n</td></tr><tr><td>\n\nsn\\_esign\\_esignature\\_configuration\n\n</td><td>\n\nSys\\_id of the E-signed signature template used for the associated document.Data type: String\n\nTable: E-signature Template \\[sn\\_esign\\_configuration\\]\n\n</td></tr><tr><td>\n\nstart\\_date\n\n</td><td id=\"start_date-entry-chg_req\">\n\nDate and time that the change request is planned to start implementation.Data type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td id=\"state-entry-chg_req\">\n\nCurrent state of the change request. Possible values are defined in the change model.Data type: Number \\(Integer\\)\n\nDefault: 1\n\n</td></tr><tr><td>\n\nstd\\_change\\_producer\\_version\n\n</td><td id=\"std_chg_prodversion-entry-chg_req\">\n\nSys\\_id of the record producer and change proposal associated with the change request. It also includes the number and percentage of successful and unsuccessful change requests created from the proposal.Data type: String\n\nTable: Standard Change Template Version \\[std\\_change\\_producer\\_version\\]\n\n</td></tr><tr><td>\n\nsys\\_class\\_name\n\n</td><td id=\"sys_class_name-entry-chg_req\">\n\nName of the table in which the change request is located.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_created\\_by\n\n</td><td id=\"sys_create_by-entry-chg_req\">\n\nName of the user that initially created the change request.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nsys\\_created\\_on\n\n</td><td id=\"sys_created_on-entry-chg_req\">\n\nDate and time that the associated change request record was originally created.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_domain\n\n</td><td id=\"sys_domain-entry-chg_req\">\n\nIf using domains in the instance, the name of the domain to which the change module record is associated.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_domain\\_path\n\n</td><td id=\"sys_domain_path-entry-chg_req\">\n\nIf using domains in the instance, the domain path in which the associated change module record resides.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td id=\"sys_id-entry-chg_req\">\n\nUnique identifier of the associated change request record.Data type: String\n\n</td></tr><tr id=\"casetable-sys_mod_count-row\"><td>\n\nsys\\_mod\\_count\n\n</td><td id=\"sys_mod_count-entry-chg_req\">\n\nNumber of updates to the case since it was initially created.Data type: Number \\(Integer\\)\n\n</td></tr><tr id=\"casetable-sys_updated_by-row\"><td>\n\nsys\\_updated\\_by\n\n</td><td id=\"sys_updated_by-entry-chg_req\">\n\nPerson that last updated the case.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr id=\"casetable-sys_updated_on-row\"><td>\n\nsys\\_updated\\_on\n\n</td><td id=\"sys_updated_on-entry-chg_req\">\n\nDate and time when the case was last updated.Data type: String\n\n</td></tr><tr><td>\n\ntask\\_effective\\_number\n\n</td><td id=\"task_eff_number-entry-chg_req\">\n\nUniversal request number.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ntask\\_for\n\n</td><td id=\"task_for-entry-chg_req\">\n\nNot used by Change Management. Sys\\_id of the user that the task was created for.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\ntest\\_plan\n\n</td><td id=\"test_plan-entry-chg_req\">\n\nDescription of the associated test plan for the change.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr id=\"casetable-time_worked-row\"><td>\n\ntime\\_worked\n\n</td><td id=\"time_worked-entry-chg_req\">\n\nTotal amount of time worked on the change request.Data type: String\n\n</td></tr><tr><td>\n\ntype\n\n</td><td id=\"type-entry-chg_req\">\n\nChange request type.Possible values:\n\n-   emergency\n-   normal\n-   standard\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nunauthorized\n\n</td><td id=\"unauthorized-entry-chg_req\">\n\nFlag that indicates whether the change request is unauthorizedPossible values:\n\n-   true: Unauthorized\n-   false: Authorized\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nuniversal\\_request\n\n</td><td id=\"universal_request-entry-chg_req\">\n\nSys\\_id of the Parent Universal request to which this change request is a part of.Data type: String\n\nTable: Task \\[task\\]\n\n</td></tr><tr id=\"casetable-upon_approval-row\"><td>\n\nupon\\_approval\n\n</td><td id=\"upon_approval-entry-chg_req\">\n\nAction to take if the change request is approved.Possible values:\n\n-   do\\_nothing\n-   proceed\n\nData type: String\n\nMaximum length: 40\n\nDefault: proceed\n\n</td></tr><tr id=\"casetable-upon_reject-row\"><td>\n\nupon\\_reject\n\n</td><td id=\"upon_reject-entry-chg_req\">\n\nAction to take if the change request is rejected.Possible values:\n\n-   cancel\n-   goto\n\nData type: String\n\nMaximum length: 40\n\nDefault: cancel\n\n</td></tr><tr id=\"casetable-urgency-row\"><td>\n\nurgency\n\n</td><td id=\"urgency-entry-chg_req\">\n\nUrgency of the change request.Possible values:\n\n-   1: High\n-   2: Medium\n-   3: Low\n\nData type: Number \\(Integer\\)\n\nDefault: 3\n\n</td></tr><tr id=\"casetable-user_input-row\"><td>\n\nuser\\_input\n\n</td><td id=\"user_input-entry-chg_req\">\n\nAdditional user input.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr id=\"casetable-variables-row\"><td>\n\nvariables\n\n</td><td id=\"variables-entry-chg_req\">\n\nName-value pairs of variables associated with the change request.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr id=\"casetable-watch_list-row\"><td>\n\nwatch\\_list\n\n</td><td id=\"watch_list-entry-chg_req\">\n\nList of sys\\_ids of the users who receive notifications about this change request when additional comments are added or if the state of a change request is changed to Resolved or Closed.Data type: Array\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr id=\"casetable-wf_activity-row\"><td>\n\nwf\\_activity\n\n</td><td id=\"wf_activity-entry-chg_req\">\n\nSys\\_id of the workflow activity record associated with the change request.Data type: String\n\nTable: Workflow Activity \\[wf\\_activity\\]\n\n</td></tr><tr id=\"casetable-work_end-row\"><td>\n\nwork\\_end\n\n</td><td id=\"work_end-entry-chg_req\">\n\nDate and time work ended on the change request.Data type: String\n\n</td></tr><tr id=\"casetable-work_notes-row\"><td>\n\nwork\\_notes\n\n</td><td id=\"work_notes-entry-chg_req\">\n\nInformation about how to resolve the change request, or steps taken to resolve it.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr id=\"casetable-work_notes_list-row\"><td>\n\nwork\\_notes\\_list\n\n</td><td id=\"work_notes_list-entry-chg_req\">\n\nList of sys\\_ids of the internal users who receive notifications about this change request when work notes are added. Data type: Array\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr id=\"casetable-work_start-row\"><td>\n\nwork\\_start\n\n</td><td id=\"work_start-entry-chg_req\">\n\nDate and time that work started on the change request.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/sn_chg_rest/v1/change?sysparm_query=active=true^ORDERBYnumber\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n\n```\n\nFor brevity, the results only contain a single change request record.\n\n```\n{\n  \"result\": [\n    {\n      \"reason\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"parent\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"watch_list\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n       },\n       \"proposed_change\": {\n         \"display_value\": \"\",\n         \"value\": \"\"\n       },\n       \"upon_reject\": {\n         \"display_value\": \"Cancel all future Tasks\",\n         \"value\": \"cancel\"\n       },\n       \"sys_updated_on\": {\n         \"display_value\": \"2015-07-06 11:59:27\",\n         \"value\": \"2015-07-06 18:59:27\",\n         \"display_value_internal\": \"2015-07-06 11:59:27\"\n      },\n      \"type\": {\n        \"display_value\": \"Standard\",\n        \"value\": \"standard\"\n      },\n      \"approval_history\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"skills\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"test_plan\": {\n        \"display_value\": \"--Confirm that there are no monitoring alerts for the router\",\n        \"value\": \"--Confirm that there are no monitoring alerts for the router\"\n      },\n      \"number\": {\n        \"display_value\": \"CHG0000024\",\n        \"value\": \"CHG0000024\"\n      },\n      \"is_bulk\": {\n        \"display_value\": \"false\",\n        \"value\": false\n      },\n      \"cab_delegate\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"requested_by_date\": {\n        \"display_value\": \"\",\n        \"value\": \"\",\n        \"display_value_internal\": \"\"\n      },\n      \"ci_class\": {\n        \"display_value\": \"cmdb_ci\",\n        \"value\": \"cmdb_ci\"\n      },\n      \"state\": {\n        \"display_value\": \"Closed\",\n        \"value\": 3.0\n      },\n      \"sys_created_by\": {\n        \"display_value\": \"admin\",\n        \"value\": \"admin\"\n      },\n      \"knowledge\": {\n        \"display_value\": \"false\",\n        \"value\": false\n      },\n      \"order\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"phase\": {\n        \"display_value\": \"Requested\",\n        \"value\": \"requested\"\n      },\n      \"cmdb_ci\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"delivery_plan\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"impact\": {\n        \"display_value\": \"3 - Low\",\n        \"value\": 3.0\n      },\n      \"contract\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"active\": {\n        \"display_value\": \"false\",\n        \"value\": false\n      },\n      \"work_notes_list\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"priority\": {\n        \"display_value\": \"4 - Low\",\n        \"value\": 4.0\n      },\n      \"sys_domain_path\": {\n        \"display_value\": \"/\",\n        \"value\": \"/\"\n      },\n      \"cab_recommendation\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"production_system\": {\n        \"display_value\": \"false\",\n        \"value\": false\n      },\n      \"rejection_goto\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"review_date\": {\n        \"display_value\": \"\",\n        \"value\": \"\",\n        \"display_value_internal\": \"\"\n      },\n      \"requested_by\": {\n        \"display_value\": \"System Administrator\",\n        \"value\": \"6816f79cc0a8016401c5a33be04be441\"\n      },\n      \"business_duration\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"group_list\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"change_plan\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"approval_set\": {\n        \"display_value\": \"\",\n        \"value\": \"\",\n        \"display_value_internal\": \"\"\n      },\n      \"wf_activity\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"implementation_plan\": {\n        \"display_value\": \"-- Place router into maintenance mode in the monitoring platform\\r\\n-- Logon to router through SSH\\r\\n-- Run the following command\\r\\n\\r\\nrouter(config-router)#router bgp 12345\\r\\nrouter(config-router)#neighbor {neighbor ip} soft-reconfig [inbound]\\r\\nrouter#clear ip bgp {neighbor ip} soft in\\r\\n\\r\\n-- Confirm the sessions have been cleared\\r\\n-- Place router back into operational mode in the monitoring platform\",\n        \"value\": \"-- Place router into maintenance mode in the monitoring platform\\r\\n-- Logon to router through SSH\\r\\n-- Run the following command\\r\\n\\r\\nrouter(config-router)#router bgp 12345\\r\\nrouter(config-router)#neighbor {neighbor ip} soft-reconfig [inbound]\\r\\nrouter#clear ip bgp {neighbor ip} soft in\\r\\n\\r\\n-- Confirm the sessions have been cleared\\r\\n-- Place router back into operational mode in the monitoring platform\"\n      },\n      \"universal_request\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"end_date\": {\n        \"display_value\": \"\",\n        \"value\": \"\",\n        \"display_value_internal\": \"\"\n      },\n      \"short_description\": {\n        \"display_value\": \"Clear BGP sessions on a Cisco router\",\n        \"value\": \"Clear BGP sessions on a Cisco router\"\n      },\n      \"correlation_display\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"work_start\": {\n        \"display_value\": \"2015-07-06 11:56:04\",\n        \"value\": \"2015-07-06 18:56:04\",\n        \"display_value_internal\": \"2015-07-06 11:56:04\"\n      },\n      \"delivery_task\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"outside_maintenance_schedule\": {\n        \"display_value\": \"false\",\n        \"value\": false\n      },\n      \"additional_assignee_list\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"std_change_producer_version\": {\n        \"display_value\": \"Clear BGP sessions on a Cisco router - 1\",\n        \"value\": \"16c2273c47010200e90d87e8dee49006\"\n      },\n      \"sys_class_name\": {\n        \"display_value\": \"Change Request\",\n        \"value\": \"change_request\"\n      },\n      \"service_offering\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"closed_by\": {\n        \"display_value\": \"System Administrator\",\n        \"value\": \"6816f79cc0a8016401c5a33be04be441\"\n      },\n      \"follow_up\": {\n        \"display_value\": \"\",\n        \"value\": \"\",\n        \"display_value_internal\": \"\"\n      },\n      \"review_status\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"reassignment_count\": {\n        \"display_value\": \"2\",\n        \"value\": 2.0\n      },\n      \"start_date\": {\n        \"display_value\": \"\",\n        \"value\": \"\",\n        \"display_value_internal\": \"\"\n      },\n      \"assigned_to\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"variables\": {\n        \"display_value\": \"variable_pool\",\n        \"value\": \"variable_pool\"\n      },\n      \"sla_due\": {\n        \"display_value\": \"UNKNOWN\",\n        \"value\": \"\",\n        \"display_value_internal\": \"\"\n      },\n      \"comments_and_work_notes\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"escalation\": {\n        \"display_value\": \"Normal\",\n        \"value\": 0.0\n      },\n      \"upon_approval\": {\n        \"display_value\": \"Proceed to Next Task\",\n        \"value\": \"proceed\"\n      },\n      \"correlation_id\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"made_sla\": {\n        \"display_value\": \"true\",\n        \"value\": true\n      },\n      \"backout_plan\": {\n        \"display_value\": \"Due to the limited number of commands in the implementation plan it is not possible to backout the change.\\r\\n\\r\\nIf required you are authorized to reboot the router if BGP fails to work\",\n        \"value\": \"Due to the limited number of commands in the implementation plan it is not possible to backout the change.\\r\\n\\r\\nIf required you are authorized to reboot the router if BGP fails to work\"\n      },\n      \"conflict_status\": {\n        \"display_value\": \"Not Run\",\n        \"value\": \"Not Run\"\n      },\n      \"task_effective_number\": {\n        \"display_value\": \"CHG0000024\",\n        \"value\": \"CHG0000024\"\n      },\n      \"sys_updated_by\": {\n        \"display_value\": \"admin\",\n        \"value\": \"admin\"\n      },\n      \"opened_by\": {\n        \"display_value\": \"System Administrator\",\n        \"value\": \"6816f79cc0a8016401c5a33be04be441\"\n      },\n      \"user_input\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"sys_created_on\": {\n        \"display_value\": \"2015-07-06 11:55:46\",\n        \"value\": \"2015-07-06 18:55:46\",\n        \"display_value_internal\": \"2015-07-06 11:55:46\"\n      },\n      \"on_hold_task\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"sys_domain\": {\n        \"display_value\": \"global\",\n        \"value\": \"global\"\n      },\n      \"route_reason\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"closed_at\": {\n        \"display_value\": \"2015-07-06 11:56:23\",\n        \"value\": \"2015-07-06 18:56:23\",\n        \"display_value_internal\": \"2015-07-06 11:56:23\"\n      },\n      \"review_comments\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"business_service\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"time_worked\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n      \"chg_model\": {\n        \"display_value\": \"\",\n        \"value\": \"\"\n      },\n 
[...]
